import { StiChangesInterceptor } from "../system/interfaces";
import StiJson from "../system/StiJson";
export default class StiPadding {
    private savedPadding;
    changesInterceptor: StiChangesInterceptor;
    private _left;
    private _right;
    private _top;
    private _bottom;
    constructor(left?: number, top?: number, right?: number, bottom?: number, changesInterceptor?: StiChangesInterceptor);
    get left(): number;
    set left(value: number);
    get right(): number;
    set right(value: number);
    get top(): number;
    set top(value: number);
    get bottom(): number;
    set bottom(value: number);
    isChanged(): boolean;
    resetChanged(): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    clone(): StiPadding;
    equals(padding: StiPadding): boolean;
}
